summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoshua Nichols <nichoj@gentoo.org>2006-09-01 03:02:14 +0000
committerJoshua Nichols <nichoj@gentoo.org>2006-09-01 03:02:14 +0000
commit6e83cb89a14e89bae4fe625039cbb868026aca0a (patch)
treea48da8fada253a01456fb82a831c74fbac8c6157 /eclass/java-pkg.eclass
parentNo longer explicitly depends on java-config-1. It will only be pulled in when... (diff)
downloadgentoo-2-6e83cb89a14e89bae4fe625039cbb868026aca0a.tar.gz
gentoo-2-6e83cb89a14e89bae4fe625039cbb868026aca0a.tar.bz2
gentoo-2-6e83cb89a14e89bae4fe625039cbb868026aca0a.zip
Improved output when can't detect generation-1 stuff. Added a check to see if 1.4 or 1.3 JDK is installed. Will give notice to this effect, and offer advice on how to fix the problem.
Diffstat (limited to 'eclass/java-pkg.eclass')
-rw-r--r--eclass/java-pkg.eclass15
1 files changed, 13 insertions, 2 deletions
diff --git a/eclass/java-pkg.eclass b/eclass/java-pkg.eclass
index 7f7be20e5e96..19b1e251fad5 100644
--- a/eclass/java-pkg.eclass
+++ b/eclass/java-pkg.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/java-pkg.eclass,v 1.41 2006/08/30 00:31:34 nichoj Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java-pkg.eclass,v 1.42 2006/09/01 03:02:14 nichoj Exp $
inherit multilib
@@ -42,8 +42,19 @@ java-pkg_pkg_setup() {
einfo "Using Generation-1 System VM: ${GENTOO_VM}"
initialize-java-home
else
- ewarn "The way Java is handled on Gentoo has drastically changed."
+ echo
eerror "There was a problem determining which VM to use for generation-1"
+ eerror "This is because the way Java is handled on Gentoo has drastically changed."
+ if ! has_version "=virtual/jdk-1.4*" || ! has_version "=virtual/jdk-1.3*"; then
+ ewarn "There does not seem to be a 1.4 or 1.3 JDK installed."
+ ewarn "You should probably install =virtual/jdk-1.4* or =virtual/jdk-1.3*"
+ ewarn "It is important to have either a 1.4 or 1.3 JDK installed"
+ ewarn "in order for the old and new Java systems to coexist"
+ ewarn "Details about this can be found at:"
+ ewarn "\thttp://overlays.gentoo.org/proj/java/wiki/Why_We_Need_Java14"
+ echo
+ fi
+
eerror "You should run, and follow the advice of:"
eerror "\t/usr/bin/java-check-environment"